Package org.eclipse.ecf.provider.filetransfer.browse

# Class MultiProtocolFileSystemBrowserAdapter

java.lang.Object
org.eclipse.ecf.provider.filetransfer.browse.MultiProtocolFileSystemBrowserAdapter

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IRemoteFileSystemBrowserContainerAdapter`, `IRemoteFileSystemBrowser`

public class MultiProtocolFileSystemBrowserAdapter extends Object implements IRemoteFileSystemBrowser
Multi protocol handler for remote file system browser.

## Constructor Summary

Constructors
Constructor
Description
`MultiProtocolFileSystemBrowserAdapter()`

## Method Summary

Modifier and Type
Method
Description
`<T> T`
`getAdapter(Class<T> adapter)`
`Namespace`
`getBrowseNamespace()`
Get the `Namespace` instance for creating IFileIDs that represent remote files or directories.
`IRemoteFileSystemRequest`
`sendBrowseRequest(IFileID directoryOrFileID, IRemoteFileSystemListener listener)`
Send a request for file or directory information for given directoryOrFileID.
`void`
`setConnectContextForAuthentication(IConnectContext connectContext)`
Set connect context for authentication upon subsequent `IRemoteFileSystemBrowserContainerAdapter.sendBrowseRequest(IFileID, IRemoteFileSystemListener)`.
`void`
`setProxy(Proxy proxy)`
Set proxy for use upon subsequent `IRemoteFileSystemBrowserContainerAdapter.sendBrowseRequest(IFileID, IRemoteFileSystemListener)`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MultiProtocolFileSystemBrowserAdapter

public MultiProtocolFileSystemBrowserAdapter()

## Method Details

### setConnectContextForAuthentication

public void setConnectContextForAuthentication(IConnectContext connectContext)
Description copied from interface: `IRemoteFileSystemBrowserContainerAdapter`
Set connect context for authentication upon subsequent `IRemoteFileSystemBrowserContainerAdapter.sendBrowseRequest(IFileID, IRemoteFileSystemListener)`. This method should be called with a non-null connectContext in order to allow authentication to occur during call to `IRemoteFileSystemBrowserContainerAdapter.sendBrowseRequest(IFileID, IRemoteFileSystemListener)`.

Specified by:
  `setConnectContextForAuthentication` in interface `IRemoteFileSystemBrowserContainerAdapter`
Parameters:
  `connectContext` - the connect context to use for authenticating during subsequent call to `IRemoteFileSystemBrowserContainerAdapter.sendBrowseRequest(IFileID, IRemoteFileSystemListener)`. If `null`, then no authentication will be attempted.

### setProxy

public void setProxy(Proxy proxy)
Description copied from interface: `IRemoteFileSystemBrowserContainerAdapter`
Set proxy for use upon subsequent `IRemoteFileSystemBrowserContainerAdapter.sendBrowseRequest(IFileID, IRemoteFileSystemListener)`. This method should be called with a non-null proxy to allow the given proxy to be used in subsequent calls to `IRemoteFileSystemBrowserContainerAdapter.sendBrowseRequest(IFileID, IRemoteFileSystemListener)`.

Specified by:
  `setProxy` in interface `IRemoteFileSystemBrowserContainerAdapter`
Parameters:
  `proxy` - the proxy to use for subsequent calls to `IRemoteFileSystemBrowserContainerAdapter.sendBrowseRequest(IFileID, IRemoteFileSystemListener)`. If `null`, then no proxy will be used.

### getBrowseNamespace

public Namespace getBrowseNamespace()
Description copied from interface: `IRemoteFileSystemBrowserContainerAdapter`
Get the `Namespace` instance for creating IFileIDs that represent remote files or directories.

Specified by:
  `getBrowseNamespace` in interface `IRemoteFileSystemBrowserContainerAdapter`
Returns:
  Namespace for remote files or directories. Will not be `null`.

### sendBrowseRequest

public IRemoteFileSystemRequest sendBrowseRequest(IFileID directoryOrFileID, IRemoteFileSystemListener listener) throws RemoteFileSystemException
Description copied from interface: `IRemoteFileSystemBrowserContainerAdapter`
Send a request for file or directory information for given directoryOrFileID.

Specified by:
  `sendBrowseRequest` in interface `IRemoteFileSystemBrowserContainerAdapter`
Parameters:
  `directoryOrFileID` - the IFileID representing/specifying the remote directory or file to access.
  `listener` - the listener that will be notified asynchronously when a response to this request is received. Must not be `null`.
Returns:
  IRemoteFileSystemRequest the request instance.
Throws:
  `RemoteFileSystemException` - if browse request cannot be accomplished

### getAdapter

public <T> T getAdapter(Class<T> adapter)

Specified by:
  `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`